Bug Hunting Session
Bug 49531 - EDITING: Sort rows for will sort columns
Summary: EDITING: Sort rows for will sort columns
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other Windows (All)
: medium major
Assignee: Markus Mohrhard
URL:
Whiteboard: target:3.6.0 target:6.3.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-05-05 03:52 UTC by Rainer Bielefeld Retired
Modified: 2018-12-31 15:35 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-05-05 03:52:10 UTC
Steps how to reproduce with parallel installation of Master "LOdev 3.6.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 35ec153]" (tinderbox: Win-x86@6-fast, pull time 2012-05-02 06:53:41)

1. open Sample
   <https://bugs.freedesktop.org/attachment.cgi?id=61067>
   From "Bug 49520 - EDITING: CRASH when undo sort with chart"
   (you may delete chart and save with new name)
2. click into cell A3
3. Scroll to end of values using vertical scroll slider
4. <shift+click> C147 to select A3:C147
5. Menu 'Data -> Sort -> Top to bottom - all otheroptions unchecked - 
   Column B - Ascending' <ok>
   Expected: Values column B sorted ascending, column "control" unsorted
   Actual: I seems as if columns A and be of sort area have been interchanged
           as for a 'Sort -> Left to right -> Column 3

Further tests seem to show that indeed a sort will be done for the last selected 'Sort - Horizonally" row in sort criteria selector.

This problem may be the root for Bug 49520

Was ok with 3.5.3, so Regression
Comment 1 Markus Mohrhard 2012-05-06 16:47:15 UTC
I have an idea what is going wrong here. Albert's rework switched to a temporary variable for ScSortParam which might hide the changed settings.

I will look into this one.

@Rainer: You might cc me in all bugs related to database and named ranges except if they are also related to pivot tables.
Comment 2 Markus Mohrhard 2012-05-06 17:44:07 UTC
Fixed but the other bug is still present.
Comment 3 Not Assigned 2012-05-06 17:49:21 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ee34a78b175765a1444071217239f3592c16eec1

use correct content for returned ScDBData, fdo#49531
Comment 4 Commit Notification 2018-12-31 15:35:54 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b22d08827c0d42890cf1e45d084dc3e08bc48aa9%5E%21

uitest for bug tdf#49531 tdf#49520

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.